CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

AltUnitsFormat Property (ActiveX)

2023-1-3 23:03| 发布者: admin| 查看: 425| 评论: 0|来自: AutoCAD

摘要: 指定除角度之外的所有尺寸的备用单位的单位格式。

指定除角度之外的所有尺寸的备用单位的单位格式。

支持的平台:仅窗口

签名

工 务 局:

object.AltUnitsFormat
对象

类型:对齐,暗弧长度,暗径,暗坐标径,暗大,暗心旋转

此属性适用的对象。

属性值

只读:

类型:枚举acDimUnits

  • acDimScientific
  • acDimDecimal
  • acDimEngineering
  • acDimArchitecturalStacked
  • acDimFractionalStacked
  • acDimArchitectural
  • acDimFractional
  • acDimWindowsDesktop

言论

此属性的初始值为。acDimDecimal

注意:此属性将覆盖给定维度的 DIMALTU 系统变量的值。

例子

工 务 局:

Sub Example_AltUnitsFormat()
    ' This example creates an aligned dimension in model space and
    ' uses AltUnitsFormat to cycle through some common unit formats
    ' for the alternate dimension

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 0: point1(1) = 5: point1(2) = 0
    point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll
    
    ' Enable unit display of alternate units
    dimObj.AltUnits = True
      
    dimObj.AltUnitsFormat = acDimScientific     ' Change format to Scientific
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to Scientific"
    
    dimObj.AltUnitsFormat = acDimDecimal        ' Change format to Decimal
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to Decimal"
    
    dimObj.AltUnitsFormat = acDimArchitectural  ' Change format to Architectural
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to Architectural"
    
    dimObj.AltUnitsFormat = acDimWindowsDesktop ' Change format to Windows Desktop
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to Windows Desktop"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AltUnitsFormat()
    ;; This example creates an aligned dimension in model space and
    ;; uses AltUnitsFormat to cycle through some common unit formats
    ;; for the alternate dimension
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  

    ;; Define the dimension
    (setq point1 (vlax-3d-point 0 5 0)
          point2 (vlax-3d-point 5.12345678 5 0)
          location (vlax-3d-point 5 7 0))

    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
    
    ;; Enable unit display of alternate units
    (vla-put-AltUnits dimObj :vlax-true)
      
    (vla-put-AltUnitsFormat dimObj acDimScientific)     ;; Change format to Scientific
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to Scientific.")
    
    (vla-put-AltUnitsFormat dimObj acDimDecimal)        ;; Change format to Decimal
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to Decimal.")
    
    (vla-put-AltUnitsFormat dimObj acDimArchitectural)  ;; Change format to Architectural
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to Architectural.")
    
    (vla-put-AltUnitsFormat dimObj acDimWindowsDesktop) ;; Change format to Windows Desktop
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to Windows Desktop.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 09:12

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部